package logger

import (
	"io"
	"log"
	"os"

	"gopkg.in/natefinch/lumberjack.v2"
)

func newRollingWriter() io.Writer {
	if err := os.MkdirAll("log", 0744); err != nil {
		log.Println("不能创建用于保存日志的目录。")
		return nil
	}

	return &lumberjack.Logger{
		Filename:   "log/service.log",
		MaxBackups: 366 * 10, // files
		MaxSize:    200,      // megabytes
		MaxAge:     366 * 10, // days
	}
}
